# GeomAbs_SurfaceType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | GeomAbs_SurfaceType { GeomAbs_Plane, GeomAbs_Cylinder, GeomAbs_Cone, GeomAbs_Sphere, GeomAbs_Torus, GeomAbs_BezierSurface, GeomAbs_BSplineSurface, GeomAbs_SurfaceOfRevolution, GeomAbs_SurfaceOfExtrusion, GeomAbs_OffsetSurface, GeomAbs_OtherSurface }
| Identifies the type of a curve. . More...

## Enumeration Type Documentation

enum GeomAbs_SurfaceType

Enumeration values:

  GeomAbs_Plane |
  GeomAbs_Cylinder |
  GeomAbs_Cone |
  GeomAbs_Sphere |
  GeomAbs_Torus |
  GeomAbs_BezierSurface |
  GeomAbs_BSplineSurface |
  GeomAbs_SurfaceOfRevolution |
  GeomAbs_SurfaceOfExtrusion |
  GeomAbs_OffsetSurface |
  GeomAbs_OtherSurface |